package com.xinelu.manage.mapper.scheduleplan;

import com.xinelu.manage.domain.scheduleplan.SchedulePlan;
import java.util.List;

/**
* @author Administrator
* @description 针对表【schedule_plan(医生排班计划表)】的数据库操作Mapper
* @createDate 2023-09-22 09:45:24
* @Entity com.xinelu.manage.domain.scheduleplan.SchedulePlan
*/
public interface SchedulePlanMapper {

    int deleteByPrimaryKey(Long id);

    int insert(SchedulePlan record);

    int insertSelective(SchedulePlan record);

    SchedulePlan selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(SchedulePlan record);

    int updateByPrimaryKey(SchedulePlan record);

	List<SchedulePlan> getList(SchedulePlan record);
}
